Skip to main content

Create a generic credential

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/generic-credentials

Since: 2.73.0

Required permission(s): AccessControl.CredentialCreate,AccessControl.CredentialView,AccessControl.CredentialModify,AccessControl.PropertyView,AccessControl.PropertyValueView,AccessControl.PropertyAllowedValueView,AccessControl.PropertyValueCreate,AccessControl.PropertyValueDelete,AccessControl.PropertyValueModify or SelfAdmin Role

Creates a new generic credential for the specified user. The identification field is mandatory. Custom properties can be set in the same call, but note that this does not create new property definitions, only property values.

Supports self-admin mode with JWT token validation. In self-admin mode, the validity field must not be provided.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    extId string

    The external ID of the credential.

    policyExtId string

    The external ID of the used policy.

    properties object

    Custom properties of the credential.

    property name* string
    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential.

    validity object

    The validity period of the generic credential.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    identification stringrequired

    Possible values: non-empty

    The identification of the generic credential.

Responses

Generic credential created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...